Removes an approval for a data provider, or only for the given items. Returns no body.
Body
Required
-
Type of data provider the approval applies to
Values are
Device,UserEmailDataProvider,CaseFileProvider,FinancialAccountProvider,LegalDocumentProvider,DiscordUserProvider,RedditUserProvider,LinkedInUserProvider, orAiChatProvider. -
Id of the specific data provider document
-
Ids of individual data items. Empty/omitted means "all" for approve, or "deny all" for reject.
POST
/case/{caseId}/oc-approvals/reject
curl \
--request POST 'http://api.example.com/case/{caseId}/oc-approvals/reject' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "organization: string" \
--data '{
"dataProviderType": "Device",
"dataProviderId": "string",
"individualIds": [
"string"
]
}'
Request examples
# Headers
organization: string
# Payload
{
"dataProviderType": "Device",
"dataProviderId": "string",
"individualIds": [
"string"
]
}